Package org.zkoss.web.util.resource

## Class ResourceCache<V>

- java.lang.Object
- - org.zkoss.util.CacheMap<java.lang.Object,​java.lang.Object>
  - - org.zkoss.util.resource.ResourceCache<org.zkoss.web.util.resource.ResourceInfo,​V>
    - - org.zkoss.web.util.resource.ResourceCache<V>

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Cloneable`, `java.util.Map<java.lang.Object,​java.lang.Object>`, `Cache<java.lang.Object,​java.lang.Object>`

      public class ResourceCache<V>
      extends ResourceCache<org.zkoss.web.util.resource.ResourceInfo,​V>

  Used to cache Servlet resources. It is used with `ResourceCaches` and `ResourceLoader`.
  Since:
    6.0.0
  Author:
    tomyeh
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.zkoss.util.CacheMap

      `CacheMap.Value<V>`

  - ### Field Summary

    - ### Fields inherited from class org.zkoss.util.resource.ResourceCache

      `_loader`

    - ### Fields inherited from class org.zkoss.util.CacheMap

      `EXPUNGE_CONTINUE, EXPUNGE_NO, EXPUNGE_STOP, EXPUNGE_YES`

    - ### Fields inherited from interface org.zkoss.util.Cache

      `DEFAULT_LIFETIME, DEFAULT_MAX_SIZE`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ResourceCache​(ResourceLoader<V> loader)` | Constructor.
    `ResourceCache​(ResourceLoader<V> loader, int initsz)` | Constructor.

  - ### Method Summary

    - ### Methods inherited from class org.zkoss.util.resource.ResourceCache

      `clear, get, getCheckPeriod, getLoader, put, remove, setCheckPeriod`

    - ### Methods inherited from class org.zkoss.util.CacheMap

      `canExpunge, clone, containsKey, containsKeyWithoutExpunge, containsValue, entrySet, equals, expunge, getLifetime, getMaxSize, getWithoutExpunge, hashCode, isEmpty, isEmptyWithoutExpunge, keySet, onExpunge, putAll, setLifetime, setMaxSize, shallExpunge, size, sizeWithoutExpunge, toString, values`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Map

      `compute, computeIfAbsent, computeIfPresent, forEach, getOrDefault, merge, putIfAbsent, remove, replace, replace, replaceAll`

- - ### Constructor Detail

    - #### ResourceCache

          public ResourceCache​(ResourceLoader<V> loader)

      Constructor.
      Parameters:
        `loader` - the loader to load resource

    - #### ResourceCache

          public ResourceCache​(ResourceLoader<V> loader,
                               int initsz)

      Constructor.
      Parameters:
        `loader` - the loader to load resource
        `initsz` - the initial size of the map